classification
Title: add warnings for intra-package imports
Type: behavior Stage: resolved
Components: Interpreter Core Versions: Python 2.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: barry, benjamin.peterson, brett.cannon
Priority: critical Keywords:

Created on 2008-07-25 14:47 by benjamin.peterson, last changed 2010-08-21 18:11 by eric.araujo. This issue is now closed.

Messages (4)
msg70254 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-07-25 14:47
Non-absolute or relative imports in 2.6 should give a Py3k warning.
msg71291 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2008-08-17 21:18
Has there been any progress on this?  We can fix this after beta 3 if
necessary.
msg71344 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-08-18 15:58
I've been trying to do this for a little, but I can't actually figure
out how to implement the warnings. If anyone has any advice on this I'd
be very thankful! Anyway, you're right in that this doesn't need to
block betas.
msg72367 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2008-09-02 22:38
Well, this would be nice, but it doesn't seem serious enough to block
the release.
History
Date User Action Args
2010-08-21 18:11:27eric.araujosetstatus: open -> closed
resolution: out of date
stage: resolved
2009-02-11 04:52:49ajaksu2setnosy: + brett.cannon
2008-09-02 22:38:09barrysetpriority: release blocker -> critical
messages: + msg72367
2008-08-21 03:06:44barrysetpriority: deferred blocker -> release blocker
2008-08-18 15:58:12benjamin.petersonsetpriority: release blocker -> deferred blocker
messages: + msg71344
2008-08-17 21:18:57barrysetnosy: + barry
messages: + msg71291
2008-07-25 14:47:10benjamin.petersoncreate